List a person's own pets
By name, up to 100. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
owned-pets
List a person's own pets
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/owned-pets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/owned-pets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/owned-pets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"person": {
"id": "<string>",
"name": "<string>"
},
"name": "<string>",
"species": "<string>",
"breed": "<string>",
"sex": "male",
"born_on": "2023-12-25",
"color": "<string>",
"altered": true,
"microchip_number": "<string>",
"microchip_vendor": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_visit_on": "2023-12-25"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
List a person's own pets
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/owned-pets \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/owned-pets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/owned-pets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"results": [
{
"id": "<string>",
"person": {
"id": "<string>",
"name": "<string>"
},
"name": "<string>",
"species": "<string>",
"breed": "<string>",
"sex": "male",
"born_on": "2023-12-25",
"color": "<string>",
"altered": true,
"microchip_number": "<string>",
"microchip_vendor": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"last_visit_on": "2023-12-25"
}
]
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
